bmalloc.h File Reference

Default SIMD friendly allocator. More...

`#include <stdlib.h>`
`#include <new>`
Include dependency graph for bmalloc.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | bm::block_allocator
| Default malloc based bitblock allocator class. More...
class | bm::ptr_allocator
| Default malloc based bitblock allocator class. More...
class | bm::pointer_pool_array
| Pool of pointers to buffer cyclic allocations. More...
class | bm::alloc_pool< BA, PA >
| Allocation pool object. More...
class | bm::mem_alloc< BA, PA, APool >
| BM style allocator adapter. More...

## Namespaces

namespace | bm

## Macros

#define | BM_ALLOC_ALIGN 16
#define | BM_ALLOC_ALIGN 32

## Typedefs

typedef bm::alloc_pool< block_allocator, ptr_allocator > | bm::standard_alloc_pool
typedef bm::mem_alloc< block_allocator, ptr_allocator, standard_alloc_pool > | bm::standard_allocator

## Functions

void * | bm::aligned_new_malloc (size_t size)
| Aligned malloc (unlike classic malloc it throws bad_alloc exception).
void | bm::aligned_free (void *ptr) BMNOEXCEPT
| Aligned free.

## Detailed Description

Default SIMD friendly allocator.

Definition in file bmalloc.h.

## Macro Definition Documentation

## BM_ALLOC_ALIGN [1/2]

#define BM_ALLOC_ALIGN 32

Definition at line 32 of file bmalloc.h.

## BM_ALLOC_ALIGN [2/2]

#define BM_ALLOC_ALIGN 16

Definition at line 32 of file bmalloc.h.

Referenced by bm::aligned_new_malloc(), bm::block_allocator::allocate(), bm::ptr_allocator::allocate(), and bm::is_aligned().